PDA

View Full Version : [SOLVED] Missing dependency when upgrading to firefox-55.0.2-1...



SteveGYBE
23rd August 2017, 11:53 AM
Note that the package firefox-55.0.2-1.fc26.x86_64 (and the corresponding fc25 package) have a dependency on nspr-4.16.0 which cannot be satisfied.

There are new packages being released (firefox-55.0.2-2.fc26.x86_64 and firefox-55.0.2-2.fc25.x86_64) which should fix this, so the easiest option is to wait for these packages to hit the repos and fix the dependency issue for Firefox...

See this Bugzilla (https://bugzilla.redhat.com/show_bug.cgi?id=1484345) report for details.

christianbueno
23rd August 2017, 05:14 PM
hello, sma efor me
<pre><code>
harvey  ~  sudo dnf update
[sudo] password for harvey:
Last metadata expiration check: 0:00:00 ago on Wed 23 Aug 2017 11:01:44 AM -05.
Dependencies resolved.

Problem: cannot install the best update candidate for package firefox-55.0.1-1.fc26.x86_64
- nothing provides nspr >= 4.16.0 needed by firefox-55.0.2-1.fc26.x86_64
================================================== ==============================
Package Arch Version Repository Size
================================================== ==============================
Skipping packages with broken dependencies:
firefox x86_64 55.0.2-1.fc26 updates 82 M

Transaction Summary
================================================== ==============================
Skip 1 Package

Nothing to do.
Complete!
</pre></code>

christianbueno
23rd August 2017, 05:49 PM
then , wait for that.

nsnbm
24th August 2017, 01:58 AM
nspr-4.16.0 is in koji if you want to get it from there. Dunno if it has dependencies of its own which may or may not yet also be in koji.

SteveGYBE
24th August 2017, 06:43 PM
nspr-4.16.0 is now in the Fedora 26 Updates repo so Firefox upgrade is now possible.